Subject: Re: Cannot write but not read from serial
From: "Richard Campbell" <[email-masked]>
To: [email-masked]
Date: Thu, 13 Jun 2002 15:37:19 -0500
Newsgroups: gmane.os.cygwin

I tried variations on clocal, crtscts and cread parameters and got the same
results as you.

"Juergen Schwarz" <[email-masked]> wrote in message
news:[email-masked]...
Hi everyone,

I have a big and urgent problem with Cygwin (or my Unix knowledge):

I try to read and write data to&from the serial interface (COM1). Writing
works perfect with:

ls > COM1

But when trying to read with:

cat < COM1

nothing happens. I have set the correct baudrate with stty and don't know
what to try more.... I've also tied to play with other parameters like
-icanon, etc.

My setup is:

- Windows 98
- Cygwin 1.3.10

The cable is ok, it works with windows terminal programs.

Any ideas? I'm close to giving up...

********************************************************
* Jürgen Schwarz, GPP AG                               *
* Kolpingring 18a D-82041 Oberhaching                  *
* Phone: +49-89-61304-262 Net:  www.gppag.de           *
* FAX: +49-89-61304-353   Mail: [email-masked]     *
********************************************************

+------------------------------------------------------+
! ORCA READER - Dokumente auf dem Mobiltelefon (SL45i) !
!                                                      !
!      Infos unter: www.orca-reader.de                 !
+------------------------------------------------------+

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/